<div class="modal-header">
    <h3 class="modal-title font-ligth text-left"><i class="icon-list"></i> LISTA CAJAS</h3>
</div>
<div class="modal-body" ng-controller="ClienteCajaController">
  <div class="row">
    <div class="col-md-7">
      <input type="text" ng-model="buscar" class="form-control" placeholder="Buscar Caja">
    </div>
    <div class="col-md-1"></div>
    <div class="col-md-4">
      
    </div>
    <div class="col-md-12"><hr style="margin-top: 8px;margin-bottom: 8px;"></div>
  </div>
  <div class="row" ng-if="isLoading">
    <div class="col-md-12">
      <loading></loading>
    </div>
  </div>
  <div class="row" ng-if="!isLoading">
    <div class="col-md-12">
      <form>
        <div class="row">
          <div class="col-md-12" ng-if="cajas.length > 0">
            <div class="table-responsive">
              <table class="table table-hover">
                <thead>
                  <tr>
                    <th>CAJA</th>
                    <th class="text-center">ASIGNAR</th>
                  </tr>
                </thead>
                <tbody>
                  <tr dir-paginate="caja in cajas |filter: buscar | itemsPerPage: 5" pagination-id="caja.id">
                    <td>{{caja.marca | uppercase}}</td>
                    <td class="text-center">
                      <div class="onoffswitch primary inline-block" ng-disabled="httpRequest">
                        <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" ng-click="add(caja)" ng-model="caja.enable" id="switch{{$index}}" checked="">
                        <label class="onoffswitch-label" for="switch{{$index}}">
                          <span class="onoffswitch-inner"></span>
                          <span class="onoffswitch-switch"></span>
                        </label>
                      </div> 
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>        
            <div class="pull-right">
              <dir-pagination-controls pagination-id="caja.id"></dir-pagination-controls>
            </div>
          </div>
          <div class="col-md-12" ng-if="cajas.length == 0">
            <p class="text-center">
              <i class="icon-info fa-4x"></i>
              <h5 class="text-center">no hay cajas registradas...</h5>
            </p>
          </div>
        </div>
                    
      </form>    
    </div>
  </div>
  <div class="text-center">
    <button type="button" class="btn btn-border btn-default btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cerrar</button>
  </div>
</div>